Package org.drinkless.tdlib

# Class TdApi.AddQuickReplyShortcutMessageAlbum

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.QuickReplyMessages>
org.drinkless.tdlib.TdApi.AddQuickReplyShortcutMessageAlbum

Enclosing class:
  `TdApi`

public static class TdApi.AddQuickReplyShortcutMessageAlbum extends TdApi.Function<TdApi.QuickReplyMessages>
Adds 2-10 messages grouped together into an album to a quick reply shortcut. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

Returns `QuickReplyMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputMessageContent[]`
  `inputMessageContents`
  Contents of messages to be sent.
  `long`
  `replyToMessageId`
  Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.
  `String`
  `shortcutName`
  Name of the target shortcut.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddQuickReplyShortcutMessageAlbum()`
  Default constructor for a function, which adds 2-10 messages grouped together into an album to a quick reply shortcut.
  `AddQuickReplyShortcutMessageAlbum(String shortcutName, long replyToMessageId, TdApi.InputMessageContent[] inputMessageContents)`
  Creates a function, which adds 2-10 messages grouped together into an album to a quick reply shortcut.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortcutName

    public String shortcutName
    Name of the target shortcut.

  - ### replyToMessageId

    public long replyToMessageId
    Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.

  - ### inputMessageContents

    public TdApi.InputMessageContent[] inputMessageContents
    Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddQuickReplyShortcutMessageAlbum

    public AddQuickReplyShortcutMessageAlbum()
    Default constructor for a function, which adds 2-10 messages grouped together into an album to a quick reply shortcut. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `QuickReplyMessages`

  - ### AddQuickReplyShortcutMessageAlbum

    public AddQuickReplyShortcutMessageAlbum(String shortcutName, long replyToMessageId, TdApi.InputMessageContent[] inputMessageContents)
    Creates a function, which adds 2-10 messages grouped together into an album to a quick reply shortcut. Currently, only audio, document, photo and video messages can be grouped into an album. Documents and audio files can be only grouped in an album with messages of the same type. Returns sent messages.

    Returns `QuickReplyMessages`

    Parameters:
      `shortcutName` - Name of the target shortcut.
      `replyToMessageId` - Identifier of a quick reply message in the same shortcut to be replied; pass 0 if none.
      `inputMessageContents` - Contents of messages to be sent. At most 10 messages can be added to an album. All messages must have the same value of showCaptionAboveMedia.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.QuickReplyMessages>`
    Returns:
      this.CONSTRUCTOR